Subject: bug#55741: Getting an error when running the Emacs 28.1 binary that I built from source

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 May 2022 22:10:40 +0300

[Please use Reply All to keep the bug tracker on the CC list.]

> Date: Tue, 31 May 2022 18:10:56 +0000
> From: cinnaroll45 <[email-masked]>
> 
> > The --bindir switch could be the problem: as you see from the error
> > message, Emacs 28.1 thinks its binary is in /home/user/emacs/bin, not
> > in /home/user/bin. So my suggestion is to reconfigure without the
> > --bindir switch, as I don't think this is currently supported for the
> > build with native-compilation.
> 
> Removing the --bindir switch solved the issue for me. Everything gets installed to the
> expected location and the Emacs binary runs.

OK.

> > And in addition, please show the full absolute file name of the
> > emacs.pdmp file, so we could know in which directory it is installed on your system.
> 
> The location of the pdmp file was:
> /home/user/emacs/libexec/emacs/28.1/x86_64-pc-linux-gnu/emacs.pdmp

OK.

> > Can you show the full absolute file name of the file window-0d1b8b93-7ef4271a.eln with
> > this installation?  In which directory is it installed by "make install"?
> 
> I couldn't expand the absolute location of `window-0d1b8b93-7ef4271a.eln`. The error message seemed to
> indicate that it was looking for it under the directory where `emacs.pdmp` is, however there were no
> directories present in that path. Just the pdmp file and three other binaries.

The *.eln files should be under /home/user/emacs/native-lisp/, can you
see if they are indeed there?